[L014]Journal
Receive literature citation data by paper_id or doi.
One of the two parameters, paper_id and doi, is required; if both are passed, paper_id is preferred.The API supports batch requests with a maximum of 100 patents, and more patent id or patent number are separated with English comma. Batch requests are deducted from traffic/costs, and will be deducted multiple times based on the number of successful results returned.
Request Parameters
List of parameters supported by this API endpoint
| Name | Type | Example | Description |
|---|---|---|---|
| string | 10.1016/j.bpj.2024.07.030 | DOI (only a single doi issupported) |
| string | 00001b6d-2cfa-411a-ab41-8a05fd675d46,00001756-243f-4738-a288-282987105915 | paper id |
Response Schema
Structure of the API response data
| Field Name | Type | Example | Description |
|---|---|---|---|
data | array | - | response data |
cn | string | 11-4537/X | CN |
doi | string | 10.3390/antibiotics10040379 | DOI |
issn | string | 2079-6382 | ISSN |
lang | string | 中文 | Language |
eissn | string | 2079-6382 | eISSN |
address | string | 北京市海淀区中关村南大街5号 | Address |
contact | string | 13910795630 | Contact |
country | string | 瑞士 | Country or Region |
website | string | https://www.mdpi.com/journal/antibiotics | Website |
paper_id | string | 00d3b12d-1141-3a4a-a0e1-91cbb9c53d0b | Paper ID |
frequency | string | 双月刊 | Frequency of publication |
organizer | string | 北京理工大学 | Organizer |
publisher | string | MDPI AG | Publisher |
postal_code | string | 100081 | Postal Code |
journal_name | string | Antibiotics-Basel | Journal Name |
subject_area | string | 药理学 | Subject Area |
supervising_agency | string | 中国兵器工业集团公司 | Competent Authority |
statusRequired | boolean | false | Status |
error_msg | string | The request parameter format is incorrect! | Error Message |
error_codeRequired | integer | 0 | Error Code |
Success Response Example
Example of a successful API response
JSON
{
"data": [
{
"cn": "11-4537/X",
"doi": "10.3390/antibiotics10040379",
"issn": "2079-6382",
"lang": "中文",
"eissn": "2079-6382",
"address": "北京市海淀区中关村南大街5号",
"contact": 13910795630,
"country": "瑞士",
"website": "https://www.mdpi.com/journal/antibiotics",
"paper_id": "00d3b12d-1141-3a4a-a0e1-91cbb9c53d0b",
"frequency": "双月刊",
"organizer": "北京理工大学",
"publisher": "MDPI AG",
"postal_code": 100081,
"journal_name": "Antibiotics-Basel",
"subject_area": "药理学",
"supervising_agency": "中国兵器工业集团公司"
}
],
"status": true,
"error_code": 0
}Error Codes
List of possible error codes returned by this endpoint
Business Errors
| Error Code | Description |
|---|---|
68300004 | Invalid parameter! |
68300005 | Search api failure! |
68300006 | Analytic basic access error! |
68300007 | Bad request! |
68300008 | Service error, please try again later! |
68300010 | The file does not comply with upload specifications! |
Platform Errors
| Error Code | Description |
|---|---|
67200000 | API call exceeds the total limit set by the platform! |
67200001 | API call exceeds the total limit set by the platform! |
67200002 | The current call rate is too fast, exceeding the current configuration limit QPS! |
67200003 | The key and secret parameters for applying for the token are incorrect or the client has been disabled! |
67200004 | The requested api does not have permission. Please contact our support personnel! |
67200005 | Insufficient account balance/number of calls! |
67200006 | The client has exceeded the activation validity period! |
67200007 | The current call exceeds the configured usage limit of the day! |
67200008 | Please check if the required apikey in the query parameter has been transmitted! |
67200009 | The apikey does not match the passed bearerToken. Please check if a valid token is being used! |
67200012 | The request is illegal! |
67200100 | The current server status is busy, request response timeout! |
67200101 | The API requested currently does not exist. Please check the request path! |
HTTP Status Codes
| Status Code | Description |
|---|---|
0 | Success |
201 | Created |
401 | Unauthorized |
403 | Forbidden |
404 | Not Found |
Performance Metrics
Expected performance characteristics for this endpoint
Normal Response Time
5000 ms
Max Response Time
10000 ms